// Example
//

#include "MoteConn.h"

int main()
{
	char sendBuffer[36];
	MoteConn SerialForwarder;

	// connect to serial forwarder
	if(!SerialForwarder.connectMoteSF("127.0.0.1", 9001))
	{	
		cout << "Unable to connect to the Serial Forwarder" << endl;
		return 0;
	}	

	for(char i = 0; i < 20; i++)
	{
		// construct packet
		sendBuffer[0] = 0xff;
		sendBuffer[1] = 0xff;
		sendBuffer[2] = 0x21;
		sendBuffer[3] = 0x7d;
		sendBuffer[4] = 0x02;
		sendBuffer[5] = i;
		sendBuffer[6] = 20 + i;

		// send packet
		SerialForwarder.sendPacket(sendBuffer, 7);

		Sleep(1000);
	}
	return 0;
}

